<?php
// {{{ requires
require_once CLASS_EX_REALDIR . 'page_extends/LC_Page_Ex.php';

/**
 * ヘルプ のページクラス.
 *
 * @package Page
 * @author CUORE CO.,LTD.
 * @version $Id: LC_Page_Special_List.php 1 2009-08-04 00:00:00Z $
 */
class LC_Page_Special_List extends LC_Page_Ex {

    /**
     * Page を初期化する.
     *
     * @return void
     */
    public function init() {
        parent::init();
        $this->tpl_mainpage = 'special/list.tpl';
    }

    /**
     * Page のプロセス.
     *
     * @return void
     */
    public function process() {
        parent::process();
        $this->action();
        $this->sendResponse();
    }

    /**
     * Page のアクション.
     *
     * @return void
     */
    public function action() {
		
		// データベースから取得
		$objQuery =SC_Query_Ex::getSingletonInstance();
		$this->arrRet = array();
		$this->arrItem01 = array();
		$this->arrItem02 = array();
		$this->arrItem03 = array();
		$this->arrItem04 = array();
		$this->arrItem05 = array();

		//パラメータ
		$special_id = $_GET['special_id'];

		//dtb_specialの情報を取得
		if(isset($special_id)){
		$arrRet = $objQuery->select("*", "dtb_special", "del_flg = 0 and special_id = $special_id");
		}
		if(isset($arrRet)){
			$this->arrRet = $arrRet[0];
		}
		
        // サブタイトルを取得
        $this->tpl_subtitle = $this->arrRet['special_name'];

		//登録した商品の情報を取得
		if(isset($special_id)){
		$arrItem01 = $objQuery->select("*", "dtb_special inner join dtb_products on dtb_special.item1=dtb_products.product_id inner join dtb_products_class on dtb_products.product_id=dtb_products_class.product_id", "dtb_special.del_flg = 0 and dtb_special.special_id = $special_id");
		}
		if(isset($arrRet)){
			$this->arrItem01 = $arrItem01[0];
		}
		if(isset($special_id)){
		$arrItem02 = $objQuery->select("*", "dtb_special inner join dtb_products on dtb_special.item2=dtb_products.product_id inner join dtb_products_class on dtb_products.product_id=dtb_products_class.product_id", "dtb_special.del_flg = 0 and dtb_special.special_id = $special_id");
		}
		if(isset($arrRet)){
			$this->arrItem02 = $arrItem02[0];
		}
		if(isset($special_id)){
		$arrItem03 = $objQuery->select("*", "dtb_special inner join dtb_products on dtb_special.item3=dtb_products.product_id inner join dtb_products_class on dtb_products.product_id=dtb_products_class.product_id", "dtb_special.del_flg = 0 and dtb_special.special_id = $special_id");
		}
		if(isset($arrRet)){
			$this->arrItem03 = $arrItem03[0];
		}
		if(isset($special_id)){
		$arrItem04 = $objQuery->select("*", "dtb_special inner join dtb_products on dtb_special.item4=dtb_products.product_id inner join dtb_products_class on dtb_products.product_id=dtb_products_class.product_id", "dtb_special.del_flg = 0 and dtb_special.special_id = $special_id");
		}
		if(isset($arrRet)){
			$this->arrItem04 = $arrItem04[0];
		}
		if(isset($special_id)){
		$arrItem05 = $objQuery->select("*", "dtb_special inner join dtb_products on dtb_special.item5=dtb_products.product_id inner join dtb_products_class on dtb_products.product_id=dtb_products_class.product_id", "dtb_special.del_flg = 0 and dtb_special.special_id = $special_id");
		}
		if(isset($arrRet)){
			$this->arrItem05 = $arrItem05[0];
		}
		
    }

}
